WordPress.org

Ready to get started?Download WordPress

Forums

[Plugin: Audio Player] Firefox update breaks this! (7 posts)

  1. onewalrus
    Member
    Posted 6 years ago #

    As of the most recent update of Firefox, this plugin has stopped working. Does fine in IE7, but won't play files in Firefox 2.0.0.13... or...
    is it not compatible with WP 2.3.3?
    Please urge the creator of this plugin to update it!

    http://wordpress.org/extend/plugins/audio-player/

  2. tiresias53
    Member
    Posted 6 years ago #

    Working OK with my FF 2.0.0.13 and WP 2.3.3

    Anyone know if this is OK with WP 2.5?

  3. doryphores
    Member
    Posted 6 years ago #

    I just updated my blog to s2.5 and Audio Player is fine.

    There are no compatibility issues with WP version or Firefox versions. If you're having problems with FF, check that you have Flash correctly installed (Flash 6 or above is required).

    Go to this page to find out which version you have:
    http://www.macromedia.com/software/flash/about/

    Martin

  4. onewalrus
    Member
    Posted 6 years ago #

    In response to Martin. It is a broad statement to say there are "no compatibility issues" just because you don't have any! I and many others have WP-2.5, Firefox 2.0.0.13 and Flash 9,0,115,0, but still have problems with this player. The player works in IE-7. I have tried various combinations of WP versions and browsers... it's Firefox that's doing it. However... it is possible that other Firefox add-ons could be conflicting.
    Nevertheless, it is unreasonable to expect a plugin which has not been updated since Sept. 06 to be considered "currently supported". Your pointing to Flash as the sole problem is wrong.
    Just so you know, the 1-Bit player doesn't work either!

  5. onewalrus
    Member
    Posted 6 years ago #

    Martin,
    OK, I am going to backup on this and approach it like an auto-repair... start with the most simple/easiest thing first. I would suggest to anyone having a problem with Firefox to try the player with only a couple tabs open. I have a suspicion that the failure may be due to overtaxing the browser itself by having too many tabs open. (?)
    Pablo

  6. doryphores
    Member
    Posted 6 years ago #

    I have just done some extensive testing of this particular problem and here are my findings:

    The problem seems to originate from the latest Flash Player. When I downgraded to an older version (9.0.47), the players worked great (I also tried your page). As soon as I re-installed the latest version (9.0.124), the players stopped working.

    I also tried to find a workaround by creating a very simple test Flash movie (no interface, just 3 lines of actionscript to load an mp3 file and play it) and testing it in FF. I found that this also wouldn't start playing the file. The mp3 file would load completely but never start playing.

    Conclusion: this is a problem with the Firefox Flash plugin, not with WordPress or my plugin.

    Martin

  7. jwheck
    Member
    Posted 5 years ago #

    Looks like the object tag needs <embed> code to work in Firefox. I'm using Firefox 3.0.5 with Flash Player 10 on Vista.

    Replace the following code in /wp-content/plugins/audio-player.php around line 298

    if( get_option("audio_player_transparentpagebg") ) $bgparam = '<param name="wmode" value="transparent" />';
    		else $bgparam = '<param name="bgcolor" value="' . get_option("audio_player_pagebgcolor") . '" />';
    		return '<object type="application/x-shockwave-flash" data="' . $ap_playerURL . '" width="290" height="24" id="audioplayer' . $ap_playerID . '"><param name="movie" value="' . $ap_playerURL . '" /><param name="FlashVars" value="' . $flashVars . '" /><param name="quality" value="high" /><param name="menu" value="false" />' . $bgparam . '</object>';

    with this:

    if( get_option("audio_player_transparentpagebg") ) $bgparam = '<param name="wmode" value="transparent" />';
    		else $bgparam = '<param name="bgcolor" value="' . get_option("audio_player_pagebgcolor") . '" />';
    		return '<object type="application/x-shockwave-flash" data="' . $ap_playerURL . '" width="290" height="24" id="audioplayer' . $ap_playerID . '"><param name="movie" value="' . $ap_playerURL . '" /><param name="FlashVars" value="' . $flashVars . '" /><param name="quality" value="high" /><param name="menu" value="false" />' . $bgparam . '<embed src="' . $ap_playerURL . '?FlashVars=' . $flashVars . '" quality="high" pluginspage="http://www.adobe.com/shockwave/download/download.cgi?P1_Prod_Version=ShockwaveFlash" type="application/x-shockwave-flash" width="290" height="24"></embed></object>';

Topic Closed

This topic has been closed to new replies.

About this Topic